tvbrowser.ui.mainframe.searchfield

## Class SearchFilter

- java.lang.Object
- - tvbrowser.ui.mainframe.searchfield.SearchFilter

- All Implemented Interfaces:
    ProgramFilter

      public class SearchFilter
      extends java.lang.Object
      implements ProgramFilter

  This Class implements a Filter for the Programtable. The Filter only accepts Programs that match the Search-Criteria
  Author:
    bodum

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Program prog)`
    `(package private) void` | `deactivateSearch()` Deactivate the Search-Filter
    `static SearchFilter` | `getInstance()`
    `java.lang.String` | `getName()`
    `boolean` | `isActive()`
    `void` | `setSearch(SearchFormSettings searchFormSettings)` Set the Search-Settings
    `java.lang.String` | `toString()` Return the Name

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### setSearch

          public void setSearch(SearchFormSettings searchFormSettings)
                         throws TvBrowserException

      Set the Search-Settings
      Parameters:
        `searchFormSettings` - Search-Settings
      Throws:
        `TvBrowserException`

    - #### deactivateSearch

          void deactivateSearch()

      Deactivate the Search-Filter

    - #### isActive

          public boolean isActive()

      Returns:
        true, if the Filter is active

    - #### accept

          public boolean accept(Program prog)

      Specified by:
        `accept` in interface `ProgramFilter`
      Parameters:
        `prog` - the program to be checked
      Returns:
        true, if the filter accepts the specified program

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `ProgramFilter`
      Returns:
        the name of this filter

    - #### toString

          public java.lang.String toString()

      Return the Name
      Specified by:
        `toString` in interface `ProgramFilter`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getInstance

          public static SearchFilter getInstance()

      Returns:
        Instance of this Filter

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)